<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/Cluster.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Cluster.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_cluster_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_Cluster_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_Cluster_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_const_8h.html">eicd/ClusterConst.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_obj_8h.html">eicd/ClusterObj.h</a>&quot;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;</div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_calorimeter_hit_8h.html">eicd/CalorimeterHit.h</a>&quot;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_cluster_8h.html">eicd/Cluster.h</a>&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">class </span>ClusterCollection;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">class </span>ClusterCollectionIterator;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">class </span>ConstCluster;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster.html">   29</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_cluster.html">Cluster</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_cluster_collection.html">ClusterCollection</a>;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_cluster_collection_iterator.html">ClusterCollectionIterator</a>;</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classeic_1_1_cluster.html#a2695f779e04fce0c6ef7e57eff61ad52">Cluster</a>();</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;  <a class="code" href="classeic_1_1_cluster.html#a2695f779e04fce0c6ef7e57eff61ad52">Cluster</a>(<span class="keywordtype">float</span> <a class="code" href="classeic_1_1_cluster.html#afbeb22beb4884e0d579548bd4286ac0d">energy</a>, std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_cluster.html#a7b0a5622fb699389b56633855b7e6f8d">position</a>, std::array&lt;float, 6&gt; <a class="code" href="classeic_1_1_cluster.html#a1d07e859d1d1264d3ac9b53c1899801a">positionError</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_cluster.html#a981a1a7b44b01d71fc019b42eb9311ae">theta</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_cluster.html#a02a8decc70fc09c5410b31aac24f48e2">phi</a>, std::array&lt;float, 3&gt; <a class="code" href="classeic_1_1_cluster.html#a7d6221c10a63a939abd019e5acd75389">directionError</a>);</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;  <a class="code" href="classeic_1_1_cluster.html#a2695f779e04fce0c6ef7e57eff61ad52">Cluster</a>(<a class="code" href="classeic_1_1_cluster_obj.html">ClusterObj</a>* obj);</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;  <a class="code" href="classeic_1_1_cluster.html#a2695f779e04fce0c6ef7e57eff61ad52">Cluster</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_cluster.html">Cluster</a>&amp; other);</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;  <a class="code" href="classeic_1_1_cluster.html">Cluster</a>&amp; <a class="code" href="classeic_1_1_cluster.html#ad392fff04d39424772874e5cee81ac2a">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_cluster.html">Cluster</a>&amp; other);</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <a class="code" href="classeic_1_1_cluster.html">Cluster</a> <a class="code" href="classeic_1_1_cluster.html#aef6380d7096c32c68f7beaeac96bb9de">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;  <a class="code" href="classeic_1_1_cluster.html#a3b895028337494baa4500f8c594d06f4">~Cluster</a>();</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;  <span class="keyword">operator</span> <a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_cluster.html#afbeb22beb4884e0d579548bd4286ac0d">energy</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;  <span class="keyword">const</span> std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_cluster.html#a7b0a5622fb699389b56633855b7e6f8d">position</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_cluster.html#a7b0a5622fb699389b56633855b7e6f8d">position</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keyword">const</span> std::array&lt;float, 6&gt;&amp; <a class="code" href="classeic_1_1_cluster.html#a1d07e859d1d1264d3ac9b53c1899801a">positionError</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_cluster.html#a1d07e859d1d1264d3ac9b53c1899801a">positionError</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_cluster.html#a981a1a7b44b01d71fc019b42eb9311ae">theta</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_cluster.html#a02a8decc70fc09c5410b31aac24f48e2">phi</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keyword">const</span> std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_cluster.html#a7d6221c10a63a939abd019e5acd75389">directionError</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_cluster.html#a7d6221c10a63a939abd019e5acd75389">directionError</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_cluster.html#afbeb22beb4884e0d579548bd4286ac0d">energy</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_cluster.html#a7b0a5622fb699389b56633855b7e6f8d">position</a>(std::array&lt;float, 3&gt; value);</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_cluster.html#a7b0a5622fb699389b56633855b7e6f8d">position</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">float</span> value);</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_cluster.html#a7b0a5622fb699389b56633855b7e6f8d">position</a>();</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_cluster.html#a1d07e859d1d1264d3ac9b53c1899801a">positionError</a>(std::array&lt;float, 6&gt; value);</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_cluster.html#a1d07e859d1d1264d3ac9b53c1899801a">positionError</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">float</span> value);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;  std::array&lt;float, 6&gt;&amp; <a class="code" href="classeic_1_1_cluster.html#a1d07e859d1d1264d3ac9b53c1899801a">positionError</a>();</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_cluster.html#a981a1a7b44b01d71fc019b42eb9311ae">theta</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_cluster.html#a02a8decc70fc09c5410b31aac24f48e2">phi</a>(<span class="keywordtype">float</span> value);</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_cluster.html#a7d6221c10a63a939abd019e5acd75389">directionError</a>(std::array&lt;float, 3&gt; value);</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_cluster.html#a7d6221c10a63a939abd019e5acd75389">directionError</a>(<span class="keywordtype">size_t</span> i, <span class="keywordtype">float</span> value);</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;  std::array&lt;float, 3&gt;&amp; <a class="code" href="classeic_1_1_cluster.html#a7d6221c10a63a939abd019e5acd75389">directionError</a>();</div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_cluster.html#a8515e78f2ef0ce39924da67da1e06ae9">addclusters</a>(::<a class="code" href="classeic_1_1_const_cluster.html">eic::ConstCluster</a>);</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_cluster.html#abe98324c2e1ffd94e349ad9ad971b2e4">clusters_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;  <a class="code" href="classeic_1_1_const_cluster.html">::eic::ConstCluster</a> <a class="code" href="classeic_1_1_cluster.html#a1d22dfdec462f41cf6b843de2bb3d674">clusters</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;  std::vector&lt;::eic::ConstCluster&gt;::const_iterator <a class="code" href="classeic_1_1_cluster.html#a58262902efaf71b0861780d840643c96">clusters_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;  std::vector&lt;::eic::ConstCluster&gt;::const_iterator <a class="code" href="classeic_1_1_cluster.html#a5955fe4108d663b2e0d576e6969b44c6">clusters_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;  podio::RelationRange&lt;::eic::ConstCluster&gt; <a class="code" href="classeic_1_1_cluster.html#a1d22dfdec462f41cf6b843de2bb3d674">clusters</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_cluster.html#ae4d28222f4d0a69f1651275e8c94bf86">addhits</a>(::<a class="code" href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a>);</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_cluster.html#accca756c00d1bd359ae9b275612b74d3">hits_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;  <a class="code" href="classeic_1_1_const_calorimeter_hit.html">::eic::ConstCalorimeterHit</a> <a class="code" href="classeic_1_1_cluster.html#a567a7de4fa56bca1d76a2e6dad666170">hits</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;  std::vector&lt;::eic::ConstCalorimeterHit&gt;::const_iterator <a class="code" href="classeic_1_1_cluster.html#a3abe8c57662c3730a2d836fed5e8775b">hits_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;  std::vector&lt;::eic::ConstCalorimeterHit&gt;::const_iterator <a class="code" href="classeic_1_1_cluster.html#acfbccc8ccc3a179d34eb2a6a47fb1ca3">hits_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;  podio::RelationRange&lt;::eic::ConstCalorimeterHit&gt; <a class="code" href="classeic_1_1_cluster.html#a567a7de4fa56bca1d76a2e6dad666170">hits</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_cluster.html#adb39f9e0299e8edabbc22949efb11a56">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00131"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster.html#ad73f7b03b80aa0605b02b0c446b6cebe">  131</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_cluster.html#ad73f7b03b80aa0605b02b0c446b6cebe">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;</div><div class="line"><a name="l00133"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster.html#aec4310b2f350e4a609c5e77cd7127603">  133</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_cluster.html#aec4310b2f350e4a609c5e77cd7127603">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_cluster.html">Cluster</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_cluster.html#aec4310b2f350e4a609c5e77cd7127603">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00137"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster.html#a21ab6d19e820a56bb12a680f4c802142">  137</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_cluster.html#a21ab6d19e820a56bb12a680f4c802142">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_cluster.html">Cluster</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;</div><div class="line"><a name="l00139"></a><span class="lineno"><a class="line" href="classeic_1_1_cluster.html#af1e0b5ac934e817da8a2f87db9ccb5bb">  139</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_cluster.html#af1e0b5ac934e817da8a2f87db9ccb5bb">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_cluster.html#a08f82fb9b3144d6e4d9cb0071b68759c">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_cluster.html#a08f82fb9b3144d6e4d9cb0071b68759c">getObjectID</a>().index; }</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_cluster.html#a08f82fb9b3144d6e4d9cb0071b68759c">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;  <a class="code" href="classeic_1_1_cluster_obj.html">ClusterObj</a>* m_obj;</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;};</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;std::ostream&amp; <a class="code" href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">operator&lt;&lt;</a>(std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classeic_1_1_const_cluster.html">ConstCluster</a>&amp; value);</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_cluster_html_a8515e78f2ef0ce39924da67da1e06ae9"><div class="ttname"><a href="classeic_1_1_cluster.html#a8515e78f2ef0ce39924da67da1e06ae9">eic::Cluster::addclusters</a></div><div class="ttdeci">void addclusters(::eic::ConstCluster)</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00078">Cluster.cc:78</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_abe98324c2e1ffd94e349ad9ad971b2e4"><div class="ttname"><a href="classeic_1_1_cluster.html#abe98324c2e1ffd94e349ad9ad971b2e4">eic::Cluster::clusters_size</a></div><div class="ttdeci">unsigned int clusters_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00095">Cluster.cc:95</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_obj_html"><div class="ttname"><a href="classeic_1_1_cluster_obj.html">eic::ClusterObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_obj_8h_source.html#l00021">ClusterObj.h:21</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_aef6380d7096c32c68f7beaeac96bb9de"><div class="ttname"><a href="classeic_1_1_cluster.html#aef6380d7096c32c68f7beaeac96bb9de">eic::Cluster::clone</a></div><div class="ttdeci">Cluster clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00044">Cluster.cc:44</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a08f82fb9b3144d6e4d9cb0071b68759c"><div class="ttname"><a href="classeic_1_1_cluster.html#a08f82fb9b3144d6e4d9cb0071b68759c">eic::Cluster::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00162">Cluster.cc:162</a></div></div>
<div class="ttc" id="classeic_1_1_const_calorimeter_hit_html"><div class="ttname"><a href="classeic_1_1_const_calorimeter_hit.html">eic::ConstCalorimeterHit</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_const_8h_source.html#l00029">CalorimeterHitConst.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html"><div class="ttname"><a href="classeic_1_1_cluster.html">eic::Cluster</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8h_source.html#l00029">Cluster.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_af1e0b5ac934e817da8a2f87db9ccb5bb"><div class="ttname"><a href="classeic_1_1_cluster.html#af1e0b5ac934e817da8a2f87db9ccb5bb">eic::Cluster::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8h_source.html#l00139">Cluster.h:139</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a3abe8c57662c3730a2d836fed5e8775b"><div class="ttname"><a href="classeic_1_1_cluster.html#a3abe8c57662c3730a2d836fed5e8775b">eic::Cluster::hits_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCalorimeterHit &gt;::const_iterator hits_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00119">Cluster.cc:119</a></div></div>
<div class="ttc" id="_calorimeter_hit_8h_html"><div class="ttname"><a href="_calorimeter_hit_8h.html">CalorimeterHit.h</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a3b895028337494baa4500f8c594d06f4"><div class="ttname"><a href="classeic_1_1_cluster.html#a3b895028337494baa4500f8c594d06f4">eic::Cluster::~Cluster</a></div><div class="ttdeci">~Cluster()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00048">Cluster.cc:48</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a21ab6d19e820a56bb12a680f4c802142"><div class="ttname"><a href="classeic_1_1_cluster.html#a21ab6d19e820a56bb12a680f4c802142">eic::Cluster::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const Cluster &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8h_source.html#l00137">Cluster.h:137</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a1d07e859d1d1264d3ac9b53c1899801a"><div class="ttname"><a href="classeic_1_1_cluster.html#a1d07e859d1d1264d3ac9b53c1899801a">eic::Cluster::positionError</a></div><div class="ttdeci">const std::array&lt; float, 6 &gt; &amp; positionError() const</div><div class="ttdoc">Access the Covariance matrix of the position (6 Parameters) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00056">Cluster.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a02a8decc70fc09c5410b31aac24f48e2"><div class="ttname"><a href="classeic_1_1_cluster.html#a02a8decc70fc09c5410b31aac24f48e2">eic::Cluster::phi</a></div><div class="ttdeci">const float &amp; phi() const</div><div class="ttdoc">Access the Intrinsic direction of cluster at position - Phi. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00059">Cluster.cc:59</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a58262902efaf71b0861780d840643c96"><div class="ttname"><a href="classeic_1_1_cluster.html#a58262902efaf71b0861780d840643c96">eic::Cluster::clusters_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCluster &gt;::const_iterator clusters_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00083">Cluster.cc:83</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_adb39f9e0299e8edabbc22949efb11a56"><div class="ttname"><a href="classeic_1_1_cluster.html#adb39f9e0299e8edabbc22949efb11a56">eic::Cluster::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00155">Cluster.cc:155</a></div></div>
<div class="ttc" id="namespaceeic_html_a207cb16b7a2df08e82d05c73c144487f"><div class="ttname"><a href="namespaceeic.html#a207cb16b7a2df08e82d05c73c144487f">eic::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;o, const ConstCalorimeterHit &amp;value)</div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00112">CalorimeterHit.cc:112</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a7b0a5622fb699389b56633855b7e6f8d"><div class="ttname"><a href="classeic_1_1_cluster.html#a7b0a5622fb699389b56633855b7e6f8d">eic::Cluster::position</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; position() const</div><div class="ttdoc">Access the Position of the cluster. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00054">Cluster.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a5955fe4108d663b2e0d576e6969b44c6"><div class="ttname"><a href="classeic_1_1_cluster.html#a5955fe4108d663b2e0d576e6969b44c6">eic::Cluster::clusters_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCluster &gt;::const_iterator clusters_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00089">Cluster.cc:89</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a1d22dfdec462f41cf6b843de2bb3d674"><div class="ttname"><a href="classeic_1_1_cluster.html#a1d22dfdec462f41cf6b843de2bb3d674">eic::Cluster::clusters</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstCluster &gt; clusters() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00106">Cluster.cc:106</a></div></div>
<div class="ttc" id="_cluster_const_8h_html"><div class="ttname"><a href="_cluster_const_8h.html">ClusterConst.h</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_collection_html"><div class="ttname"><a href="classeic_1_1_cluster_collection.html">eic::ClusterCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_collection_8h_source.html#l00050">ClusterCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_ad392fff04d39424772874e5cee81ac2a"><div class="ttname"><a href="classeic_1_1_cluster.html#ad392fff04d39424772874e5cee81ac2a">eic::Cluster::operator=</a></div><div class="ttdeci">Cluster &amp; operator=(const Cluster &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00034">Cluster.cc:34</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_ad73f7b03b80aa0605b02b0c446b6cebe"><div class="ttname"><a href="classeic_1_1_cluster.html#ad73f7b03b80aa0605b02b0c446b6cebe">eic::Cluster::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from ClusterObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8h_source.html#l00131">Cluster.h:131</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_ae4d28222f4d0a69f1651275e8c94bf86"><div class="ttname"><a href="classeic_1_1_cluster.html#ae4d28222f4d0a69f1651275e8c94bf86">eic::Cluster::addhits</a></div><div class="ttdeci">void addhits(::eic::ConstCalorimeterHit)</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00114">Cluster.cc:114</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a981a1a7b44b01d71fc019b42eb9311ae"><div class="ttname"><a href="classeic_1_1_cluster.html#a981a1a7b44b01d71fc019b42eb9311ae">eic::Cluster::theta</a></div><div class="ttdeci">const float &amp; theta() const</div><div class="ttdoc">Access the Intrinsic direction of cluster at position - Theta. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00058">Cluster.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_const_cluster_html"><div class="ttname"><a href="classeic_1_1_const_cluster.html">eic::ConstCluster</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_const_8h_source.html#l00027">ClusterConst.h:27</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_cluster_collection_iterator.html">eic::ClusterCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_cluster_collection_8h_source.html#l00029">ClusterCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a7d6221c10a63a939abd019e5acd75389"><div class="ttname"><a href="classeic_1_1_cluster.html#a7d6221c10a63a939abd019e5acd75389">eic::Cluster::directionError</a></div><div class="ttdeci">const std::array&lt; float, 3 &gt; &amp; directionError() const</div><div class="ttdoc">Access the Covariance matrix of the direction (3 Parameters) </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00060">Cluster.cc:60</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_aec4310b2f350e4a609c5e77cd7127603"><div class="ttname"><a href="classeic_1_1_cluster.html#aec4310b2f350e4a609c5e77cd7127603">eic::Cluster::operator==</a></div><div class="ttdeci">bool operator==(const Cluster &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8h_source.html#l00133">Cluster.h:133</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a2695f779e04fce0c6ef7e57eff61ad52"><div class="ttname"><a href="classeic_1_1_cluster.html#a2695f779e04fce0c6ef7e57eff61ad52">eic::Cluster::Cluster</a></div><div class="ttdeci">Cluster()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00016">Cluster.cc:16</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_accca756c00d1bd359ae9b275612b74d3"><div class="ttname"><a href="classeic_1_1_cluster.html#accca756c00d1bd359ae9b275612b74d3">eic::Cluster::hits_size</a></div><div class="ttdeci">unsigned int hits_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00131">Cluster.cc:131</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_afbeb22beb4884e0d579548bd4286ac0d"><div class="ttname"><a href="classeic_1_1_cluster.html#afbeb22beb4884e0d579548bd4286ac0d">eic::Cluster::energy</a></div><div class="ttdeci">const float &amp; energy() const</div><div class="ttdoc">Access the Energy of the cluster. </div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00053">Cluster.cc:53</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_a567a7de4fa56bca1d76a2e6dad666170"><div class="ttname"><a href="classeic_1_1_cluster.html#a567a7de4fa56bca1d76a2e6dad666170">eic::Cluster::hits</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstCalorimeterHit &gt; hits() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00142">Cluster.cc:142</a></div></div>
<div class="ttc" id="_cluster_8h_html"><div class="ttname"><a href="_cluster_8h.html">Cluster.h</a></div></div>
<div class="ttc" id="_cluster_obj_8h_html"><div class="ttname"><a href="_cluster_obj_8h.html">ClusterObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_cluster_html_acfbccc8ccc3a179d34eb2a6a47fb1ca3"><div class="ttname"><a href="classeic_1_1_cluster.html#acfbccc8ccc3a179d34eb2a6a47fb1ca3">eic::Cluster::hits_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstCalorimeterHit &gt;::const_iterator hits_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_cluster_8cc_source.html#l00125">Cluster.cc:125</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
